Tag: build.gradle

Android gradle dos diferentes actividades de lanzador para dos sabores de productos diferentes

Este es mi caso productFlavors { paid { applicationId "com.paid.app" } free { applicationId "com.free.app" } } Y en sabor paid necesito una diversa actividad del lanzador en comparación a la main o free como hecha abajo main/AndroidManifest.xml <activity android:name=".MainActivity" android:label="@string/app_name"> <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> paid/AndroidManifest.xml <activity android:name=".SecondMainActivity" android:label="@string/app_name"> <intent-filter> […]

¿Qué archivo gradle utilizar para configurar la aplicación como debuggable?

Soy principiante al desarrollo del androide. Acabo de empezar a configurar mi dispositivo para depurar mi aplicación. Mientras que a través de Android desarrollar herramientas que dice para establecer buildTypes debuggable a true en el archivo build.gradle. No estoy seguro de qué archivo de calificación utilizar gradle.build (Module) o gradle.build (proyecto)?

Enlazador de Android: referencia indefinida a bsd_signal

Estoy ejecutando gradlew para compilar una aplicación de Android que tiene una dependencia de gradlew estática. De alguna manera, tengo una referencia indefinida a bsd_signal . Fui capaz de compilar esta aplicación con gradle 1.X, pero me he visto obligado a cambiar a gradle 2.10 y dejar caer mi archivo Android.mk a favor de poner […]

Error de Gradle en Android Studio: Plugin con id 'com.android.library' no encontrado

Cuando estoy intentando construir un proyecto de la biblioteca de Android en Android Studio, estoy recibiendo el siguiente error Gradle: Gradle sync failed: Plugin with id 'com.android.library' not found. Soy bastante nuevo para Gradle y esto es muy confuso para mí. ¿Por qué está pasando esto? El archivo build.gradle es el siguiente: apply plugin: 'com.android.library' […]

No se encontraron recursos Errores de soporte: appcompat-v7: 22.0.0 en Android Studio

Estoy tratando de agregar la biblioteca de soporte de diseño siguiendo estas directrices https://github.com/codepath/android_guides/wiki/Design-Support-Library y estoy teniendo problemas. dependencies { compile 'com.android.support:appcompat-v7:22.2.0' } Tratando de añadir esto y Su me da muchos errores de XML al construir. Error:(24, 63) No resource found that matches the given name (at 'drawable' with value '@drawable/abc_textfield_default_mtrl_alpha'). Error:(25, 93) No […]

No se puede ejecutar la aplicación por debajo de lollipop

Estoy trabajando con android studio. Mi aplicación funciona bien en los dispositivos lollipop, pero cuando ejecuto la aplicación en los dispositivos de piruletas por debajo me da dado mensaje de error a continuación. También he intentado con esta respuesta En caso de problema, repárgalo con jarjar para cambiar los paquetes de la clase Advertencia: La […]

No hay versión en caché de com.android.tools.build:gradle:1.2.3 disponible para el modo sin conexión

He instalado JetBrains IDEA 15.0.2 con soporte para Android en mi equipo que está desconectado de Internet. Después de que el proyecto de sincronización dar un error que gradle no existe, por lo que resolver el problema mediante la descarga gradle 2.2.1 y extracción en su posición correspondiente Pero después de que un nuevo error […]

Renombrar apk con gradle -> obtener el mismo apk dos veces

Tengo una aplicación con diferentes sabores – cada sabor tiene dos buildTypes. Después de renombrar algunas líneas en mi manifiesto también renombro el apk. Todo funciona bien – Me pregunto por qué me dan los mismos apks dos veces? Una vez no renombrada y una vez renombrada … Ejemplo corto de la misma aplicación con […]

Gradle: No se encontró com.android.support:multidex:1.0.1

Cuando uso gradle (versión 2.1 o 2.4) la construcción de Android Project, obtener el error a continuación. No encuentro com.android.support:multidex:1.0.1 en mis archivos. ERRORES: config is set to BF688C717A5C3A69FE8CA522643C0A68 config is set to PRODUCT vcode is set to 151 vname is set to 1.5.1 FAILURE: Build failed with an exception. * What went wrong: A […]

No hay servicio de tipo factory disponible en ProjectScopeServices gradle sync issue

Hola aquí es mi gradle incapaz de construir el proyecto apply plugin: 'com.android.application' android { packagingOptions { exclude 'META-INF/DEPENDENCIES.txt' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/NOTICE.txt' exclude 'META-INF/NOTICE' exclude 'META-INF/LICENSE' exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/notice.txt' exclude 'META-INF/license.txt' exclude 'META-INF/dependencies.txt' exclude 'META-INF/LGPL2.1' exclude 'META-INF/ASL2.0' } compileSdkVersion 23 buildToolsVersion "23.0.2" repositories { mavenCentral() maven { url 'https://maven.fabric.io/public' } } defaultConfig { […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.